Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportTemplate.ReportResult

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportTemplate.ReportResult

Enclosing class:
  `BGReportTemplate`

public static class BGReportTemplate.ReportResult extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected net.sf.jasperreports.engine.JRDataSource`
  `dataSource`
  `protected int`
  `mid`
  `protected Map<String,Object>`
  `params`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportResult(int moduleId)`
  `ReportResult(int mid, net.sf.jasperreports.engine.JRDataSource dataSource, Map<String,Object> params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `net.sf.jasperreports.engine.JRDataSource`
  `createDataSource(ResultSet dataSource)`
  `net.sf.jasperreports.engine.JRDataSource`
  `createDataSource(Collection<Map<String,Object>> dataSource)`
  `int`
  `getMid()`
  `Map<String,Object>`
  `getParams()`
  `void`
  `setDataSource(ResultSet dataSource)`
  `void`
  `setDataSource(Collection<Map<String,Object>> dataSource)`
  `void`
  `setDataSource(net.sf.jasperreports.engine.JRDataSource dataSource)`
  `void`
  `setMid(int mid)`
  `void`
  `setParams(Map<String,Object> params)`
  `String`
  `sql(String sql, BGReportFilter filter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataSource

    protected net.sf.jasperreports.engine.JRDataSource dataSource

  - ### params

    protected Map<String,Object> params

  - ### mid

    protected int mid

- ## Constructor Details

  - ### ReportResult

    public ReportResult(int mid, net.sf.jasperreports.engine.JRDataSource dataSource, Map<String,Object> params)

  - ### ReportResult

    public ReportResult(int moduleId)

- ## Method Details

  - ### setDataSource

    public void setDataSource(net.sf.jasperreports.engine.JRDataSource dataSource)

  - ### setMid

    public void setMid(int mid)

  - ### setDataSource

    public void setDataSource(Collection<Map<String,Object>> dataSource)

  - ### setDataSource

    public void setDataSource(ResultSet dataSource)

  - ### setParams

    public void setParams(Map<String,Object> params)

  - ### sql

    public String sql(String sql, BGReportFilter filter)

  - ### createDataSource

    public net.sf.jasperreports.engine.JRDataSource createDataSource(ResultSet dataSource)

  - ### createDataSource

    public net.sf.jasperreports.engine.JRDataSource createDataSource(Collection<Map<String,Object>> dataSource)

  - ### getMid

    public int getMid()

  - ### getParams

    public Map<String,Object> getParams()